> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1claim types

> List claim types



## OpenAPI

````yaml get /v1/claim-types
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/claim-types:
    get:
      tags:
        - Claim Types
      description: List claim types
      responses:
        '200':
          description: List claim types
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimType'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    ClaimType:
      type: array
      items:
        type: object
        properties:
          name:
            type: string
            example: Rachat partiel
          claim_type:
            type: string
            enum:
              - ACCIDENTAL_DEATH
              - PARTIAL_REDEMPTION
              - TERM_EXPIRED
              - TOTAL_REDEMPTION
            example: PARTIAL_REDEMPTION
          declaration_type:
            type: string
            enum:
              - BY_POLICY
              - BY_POLICY_HOLDER
            example: BY_POLICY
        required:
          - name
          - claim_type
          - declaration_type
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````